#include <iostream>

using namespace std;

int main()
{
    int N,L,x;
    cin>>N>>L;
    int brojac=0;
    bool PrviManji=0;
    for (int i=1; i<=N; i++)
    {
        cin>>x;
        if ((x>L) && (PrviManji==0))
        {
            brojac++;
        }
        else
        {
            PrviManji=1;
        }
    }
    if (brojac==N)
    {
        cout<<-1;
    }
    else
    {
        cout<<brojac+1;
    }
    return 0;
}